<?xml version="1.0" encoding="UTF-8"?>
<jasperReport xmlns="http://jasperreports.sourceforge.net/jasperreports" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://jasperreports.sourceforge.net/jasperreports http://jasperreports.sourceforge.net/xsd/jasperreport.xsd" name="relatorioPedidoVenda" pageWidth="595" pageHeight="842" columnWidth="555" leftMargin="20" rightMargin="20" topMargin="20" bottomMargin="20" uuid="436bf098-6791-4861-929e-d5a29d1c8a2f">
	<property name="ireport.zoom" value="1.5"/>
	<property name="ireport.x" value="0"/>
	<property name="ireport.y" value="0"/>
	<parameter name="logo" class="java.lang.Object"/>
	<parameter name="DATA_INICIAL" class="java.lang.String"/>
	<parameter name="DATA_FINAL" class="java.lang.String"/>
	<queryString>
		<![CDATA[SELECT IF(empresa.idEmpresaFisica is not null, CONCAT('F-', IF(length(empresa.idEmpresaFisica) = 1, CONCAT('0',empresa.idEmpresaFisica), CONCAT(empresa.idEmpresaFisica,''))), '') as 'empresaFisicaDescricaoCompleta', empresa.idEmpresaFisica as 'idEmpresaFisica',
empresa.razaoSocial as 'razaoSocial', pedido.idPedidoVenda as 'idPedidoVenda',
item.quantidade as 'quantidade', ROUND(SUM(item.quantidade * item.precoVenda), 2) as 'valorTotalPedido', statusItem.descricao as 'desStatusItem', situacaoPedido.descricao as 'desStatusPedido',pedido.numeroControle,
empresa.razaoSocial, cli.nome as 'nomeCliente', vendedor.nome, CONCAT(prod.idproduto,'-',prod.nomeProduto) as nomeProduto, estoque.codigoBarras, cor.descricaoCorEmpresa,
ordem.descricao as 'desOrdem', tam.descricao as 'desTam',plano.descricao as 'desPlano'
FROM nepalign.itempedidovenda item
INNER JOIN pedidovenda pedido ON item.idPedidoVenda = pedido.idPedidoVenda
INNER JOIN situacaoPedidoVenda situacaoPedido ON pedido.idSituacaoPedidoVenda = situacaoPedido.idSituacaoPedidoVenda
LEFT OUTER JOIN statusitempedido statusItem ON item.idStatusItemPedido = statusItem.idStatusItemPedido
INNER JOIN empresafisica empresa ON empresa.idEmpresaFisica = pedido.idEmpresaFisica
INNER JOIN cliente cli ON cli.idCliente = pedido.idCliente
INNER JOIN vendedor vendedor ON pedido.idVendedor = vendedor.idVendedor
INNER JOIN produto prod ON prod.idProduto = item.idProduto
INNER JOIN estoqueproduto estoque ON estoque.idEstoqueProduto = item.idEstoqueProduto
INNER JOIN tamanho tam ON tam.idTamanho = estoque.idTamanho
INNER JOIN cor cor ON cor.idCor = estoque.idCor
INNER JOIN ordemproduto ordem ON ordem.idOrdemProduto = estoque.idOrdemProduto
INNER JOIN planopagamento plano on pedido.idplanoPagamento = plano.idplanopagamento
order by pedido.idEmpresaFisica]]>
	</queryString>
	<field name="empresaFisicaDescricaoCompleta" class="java.lang.String"/>
	<field name="idEmpresaFisica" class="java.lang.Integer">
		<fieldDescription><![CDATA[codigo:Código]]></fieldDescription>
	</field>
	<field name="razaoSocial" class="java.lang.String">
		<fieldDescription><![CDATA[razaoSocial:Razão Social]]></fieldDescription>
	</field>
	<field name="idPedidoVenda" class="java.lang.Integer">
		<fieldDescription><![CDATA[id:Código]]></fieldDescription>
	</field>
	<field name="quantidade" class="java.lang.Double">
		<fieldDescription><![CDATA[quantidade:Quantidade]]></fieldDescription>
	</field>
	<field name="valorTotalPedido" class="java.lang.Double">
		<fieldDescription><![CDATA[valorTotalPedido:Valor Total do Pedido]]></fieldDescription>
	</field>
	<field name="desStatusItem" class="java.lang.String"/>
	<field name="desStatusPedido" class="java.lang.String"/>
	<field name="numeroControle" class="java.lang.String">
		<fieldDescription><![CDATA[numeroControle:Número do Controle]]></fieldDescription>
	</field>
	<field name="nomeCliente" class="java.lang.String"/>
	<field name="nome" class="java.lang.String">
		<fieldDescription><![CDATA[nome:Nome]]></fieldDescription>
	</field>
	<field name="nomeProduto" class="java.lang.String">
		<fieldDescription><![CDATA[nomeProduto:Nome Produto]]></fieldDescription>
	</field>
	<field name="codigoBarras" class="java.lang.String">
		<fieldDescription><![CDATA[codigoBarras:Código de Barras]]></fieldDescription>
	</field>
	<field name="descricaoCorEmpresa" class="java.lang.String">
		<fieldDescription><![CDATA[descricaoCorEmpresa:Cor]]></fieldDescription>
	</field>
	<field name="desOrdem" class="java.lang.String"/>
	<field name="desTam" class="java.lang.String"/>
	<field name="desPlano" class="java.lang.String"/>
	<variable name="SUM_VALOR_PEDIDOVENDA" class="java.lang.Double" resetType="Group" resetGroup="Empresa" calculation="Sum">
		<variableExpression><![CDATA[$F{valorTotalPedido}]]></variableExpression>
	</variable>
	<variable name="TOTAL_GERAL_PEDIDOVENDA" class="java.lang.Double" resetType="None" calculation="Sum">
		<variableExpression><![CDATA[$V{SUM_VALOR_PEDIDOVENDA}]]></variableExpression>
	</variable>
	<variable name="valorTotalPedido" class="java.lang.Double" calculation="Sum">
		<variableExpression><![CDATA[$F{valorTotalPedido}]]></variableExpression>
	</variable>
	<group name="Empresa" minHeightToStartNewPage="50">
		<groupExpression><![CDATA[$F{idEmpresaFisica}]]></groupExpression>
		<groupHeader>
			<band height="30">
				<rectangle>
					<reportElement uuid="38fa5ebc-3624-40de-88d7-11191cabf369" x="0" y="0" width="553" height="15" backcolor="#CCCCCC"/>
					<graphicElement>
						<pen lineWidth="0.0" lineStyle="Solid"/>
					</graphicElement>
				</rectangle>
				<textField>
					<reportElement uuid="e02365a9-e258-4cb9-b602-4e84c6297356" x="28" y="0" width="233" height="15"/>
					<textElement verticalAlignment="Middle">
						<font size="9" isBold="true"/>
					</textElement>
					<textFieldExpression><![CDATA[$F{razaoSocial}]]></textFieldExpression>
				</textField>
				<line>
					<reportElement uuid="0c8c2dbf-8027-4f48-b478-14d2733a9902" x="0" y="15" width="553" height="1"/>
				</line>
				<textField>
					<reportElement uuid="0855bfab-6785-4bb5-8cd0-c1b31a4740f6" x="0" y="0" width="28" height="15"/>
					<textElement verticalAlignment="Middle">
						<font size="9" isBold="true" isItalic="false"/>
					</textElement>
					<textFieldExpression><![CDATA[$F{empresaFisicaDescricaoCompleta}]]></textFieldExpression>
				</textField>
				<staticText>
					<reportElement uuid="895051c6-0b24-4af8-80f6-8d16303672fe" x="455" y="16" width="100" height="13"/>
					<textElement>
						<font size="8" isBold="true"/>
					</textElement>
					<text><![CDATA[Situação]]></text>
				</staticText>
				<staticText>
					<reportElement uuid="fdc63710-871c-4686-9620-b6df5ed52c5c" x="100" y="16" width="166" height="13"/>
					<textElement>
						<font size="8" isBold="true"/>
					</textElement>
					<text><![CDATA[Cliente]]></text>
				</staticText>
				<staticText>
					<reportElement uuid="329a4471-3f4b-4093-9b82-8475d997e27a" x="0" y="16" width="43" height="13"/>
					<textElement>
						<font size="8" isBold="true"/>
					</textElement>
					<text><![CDATA[Código:]]></text>
				</staticText>
				<staticText>
					<reportElement uuid="48348257-4e0c-4a77-9570-de4085a25026" x="367" y="16" width="77" height="13"/>
					<textElement textAlignment="Right">
						<font size="8" isBold="true"/>
					</textElement>
					<text><![CDATA[Total:]]></text>
				</staticText>
				<staticText>
					<reportElement uuid="91d08a7a-fbfb-46b8-ab86-81998f58f6fe" x="267" y="16" width="100" height="13"/>
					<textElement>
						<font size="8" isBold="true"/>
					</textElement>
					<text><![CDATA[Plano]]></text>
				</staticText>
				<staticText>
					<reportElement uuid="977c38e0-9fe7-422f-948e-74b15b42a894" x="43" y="16" width="55" height="13"/>
					<textElement>
						<font size="8" isBold="true"/>
					</textElement>
					<text><![CDATA[nº Controle]]></text>
				</staticText>
			</band>
		</groupHeader>
		<groupFooter>
			<band height="13">
				<textField pattern="#,##0.00" isBlankWhenNull="true">
					<reportElement uuid="c7fc3903-f643-41c4-8d40-4c25c7d2d9f3" x="454" y="0" width="99" height="12"/>
					<textElement textAlignment="Right">
						<font size="8" isBold="true" isItalic="true"/>
					</textElement>
					<textFieldExpression><![CDATA[$V{SUM_VALOR_PEDIDOVENDA}]]></textFieldExpression>
				</textField>
				<staticText>
					<reportElement uuid="a0377d4d-8ca6-4de7-b446-41dacd69d45a" x="348" y="0" width="107" height="13"/>
					<textElement textAlignment="Right">
						<font size="8" isBold="true"/>
					</textElement>
					<text><![CDATA[Valor Total Empresa:]]></text>
				</staticText>
			</band>
		</groupFooter>
	</group>
	<group name="Pedido Venda" minHeightToStartNewPage="50">
		<groupExpression><![CDATA[$F{idPedidoVenda}]]></groupExpression>
		<groupHeader>
			<band height="23">
				<textField>
					<reportElement uuid="37efec48-1f1f-4f06-bddb-c9b1839305ba" x="455" y="0" width="100" height="10" forecolor="#3366FF"/>
					<textElement>
						<font size="6" isBold="true"/>
					</textElement>
					<textFieldExpression><![CDATA[$F{desStatusPedido}]]></textFieldExpression>
				</textField>
				<textField>
					<reportElement uuid="66be33b7-5214-441f-a363-a51083ac2e0a" x="100" y="0" width="166" height="10"/>
					<textElement>
						<font size="6"/>
					</textElement>
					<textFieldExpression><![CDATA[$F{nomeCliente}]]></textFieldExpression>
				</textField>
				<textField>
					<reportElement uuid="61d8e247-2ca5-4d7e-add7-e0a8109df7b5" x="0" y="0" width="43" height="10"/>
					<textElement>
						<font size="6"/>
					</textElement>
					<textFieldExpression><![CDATA[$F{idPedidoVenda}]]></textFieldExpression>
				</textField>
				<textField pattern="#,##0.00">
					<reportElement uuid="16ec878c-c161-4cc5-b2d7-916365398122" x="373" y="0" width="77" height="10"/>
					<textElement textAlignment="Right">
						<font size="6"/>
					</textElement>
					<textFieldExpression><![CDATA[$F{valorTotalPedido}]]></textFieldExpression>
				</textField>
				<textField>
					<reportElement uuid="91281684-9a2b-470a-bdf4-a5c04ae73362" x="267" y="0" width="100" height="10"/>
					<textElement>
						<font size="6"/>
					</textElement>
					<textFieldExpression><![CDATA[$F{desPlano}]]></textFieldExpression>
				</textField>
				<textField>
					<reportElement uuid="dcb2944e-da49-4986-b0a4-26ca36e2f2fc" x="43" y="0" width="55" height="10"/>
					<textElement>
						<font size="6"/>
					</textElement>
					<textFieldExpression><![CDATA[$F{numeroControle}]]></textFieldExpression>
				</textField>
				<staticText>
					<reportElement uuid="010ae03b-aafe-4ab2-a182-042cc8ccbeed" x="485" y="10" width="24" height="13"/>
					<textElement>
						<font size="8" isBold="true"/>
					</textElement>
					<text><![CDATA[Qnt.]]></text>
				</staticText>
				<staticText>
					<reportElement uuid="26d0f7ce-494b-40e7-8877-012153d084e3" x="161" y="10" width="100" height="13"/>
					<textElement>
						<font size="8" isBold="true"/>
					</textElement>
					<text><![CDATA[Produto]]></text>
				</staticText>
				<staticText>
					<reportElement uuid="9cf49735-9b1c-42af-b7f8-6c89844ae08e" x="357" y="10" width="39" height="13"/>
					<textElement>
						<font size="8" isBold="true"/>
					</textElement>
					<text><![CDATA[Ordem:]]></text>
				</staticText>
				<staticText>
					<reportElement uuid="2c1164a9-70ed-4c94-b178-eb533fb5d72d" x="319" y="10" width="38" height="13"/>
					<textElement>
						<font size="8" isBold="true"/>
					</textElement>
					<text><![CDATA[Tam.]]></text>
				</staticText>
				<staticText>
					<reportElement uuid="f6542076-d713-4fec-85c6-cc678a3bbb90" x="397" y="10" width="28" height="13"/>
					<textElement>
						<font size="8" isBold="true"/>
					</textElement>
					<text><![CDATA[Cor:]]></text>
				</staticText>
				<staticText>
					<reportElement uuid="d7adf370-ac45-4e69-94dc-2e1b28b339de" x="72" y="10" width="83" height="13"/>
					<textElement>
						<font size="8" isBold="true"/>
					</textElement>
					<text><![CDATA[Código de Barras]]></text>
				</staticText>
				<line>
					<reportElement uuid="94c5dd19-1a18-4c23-ac49-81bf56347b13" x="72" y="10" width="481" height="1"/>
				</line>
			</band>
		</groupHeader>
		<groupFooter>
			<band height="1">
				<line>
					<reportElement uuid="db2acc5a-35f1-4d33-a4bb-19a342763b28" x="0" y="0" width="555" height="1"/>
				</line>
			</band>
		</groupFooter>
	</group>
	<background>
		<band splitType="Stretch"/>
	</background>
	<title>
		<band height="50" splitType="Stretch">
			<image>
				<reportElement uuid="ae00f547-6d3e-47a9-84c2-6fe92d25f08c" x="0" y="0" width="100" height="50"/>
				<imageExpression><![CDATA[$P{logo}]]></imageExpression>
			</image>
			<staticText>
				<reportElement uuid="f81b0c64-f9f8-4075-bcfb-f9162cccc696" x="100" y="2" width="385" height="17" forecolor="#000000"/>
				<textElement textAlignment="Center">
					<font size="12" isBold="true" isItalic="false"/>
				</textElement>
				<text><![CDATA[Relatório de Pedidos de Venda]]></text>
			</staticText>
			<textField>
				<reportElement uuid="404f2047-b3a1-4aad-8f59-76b182fcdc59" x="240" y="38" width="40" height="12"/>
				<textElement textAlignment="Right">
					<font size="7" isBold="true"/>
				</textElement>
				<textFieldExpression><![CDATA[$P{DATA_INICIAL}]]></textFieldExpression>
			</textField>
			<textField>
				<reportElement uuid="39ad8693-4d02-4971-8e1a-ec5eab061692" x="286" y="38" width="45" height="12"/>
				<textElement>
					<font size="7" isBold="true"/>
				</textElement>
				<textFieldExpression><![CDATA[$P{DATA_FINAL}]]></textFieldExpression>
			</textField>
			<staticText>
				<reportElement uuid="0a2ac18e-6c60-4107-81e6-848b909af1fc" x="280" y="38" width="6" height="12"/>
				<textElement textAlignment="Center">
					<font size="7" isBold="true"/>
				</textElement>
				<text><![CDATA[á]]></text>
			</staticText>
			<textField pattern="dd/MM/yyyy HH:mm:ss" isBlankWhenNull="true">
				<reportElement uuid="3dd696d6-6f90-415f-a9ca-a0467ad64645" x="485" y="2" width="71" height="13"/>
				<textElement>
					<font size="8"/>
				</textElement>
				<textFieldExpression><![CDATA[new java.util.Date();]]></textFieldExpression>
			</textField>
		</band>
	</title>
	<pageHeader>
		<band splitType="Stretch"/>
	</pageHeader>
	<columnHeader>
		<band splitType="Stretch"/>
	</columnHeader>
	<detail>
		<band height="11" splitType="Stretch">
			<textField pattern="###0">
				<reportElement uuid="bfe3e4b4-9d8f-4af1-b0e7-59e7274532e2" x="485" y="1" width="24" height="10"/>
				<textElement>
					<font size="6"/>
				</textElement>
				<textFieldExpression><![CDATA[$F{quantidade}]]></textFieldExpression>
			</textField>
			<textField>
				<reportElement uuid="8cb489c6-12f4-497d-9301-ba9a950f328d" x="161" y="1" width="155" height="10"/>
				<textElement>
					<font size="6"/>
				</textElement>
				<textFieldExpression><![CDATA[$F{nomeProduto}]]></textFieldExpression>
			</textField>
			<textField>
				<reportElement uuid="034ac8fd-5b61-4173-8138-49edec1cddb6" x="357" y="1" width="39" height="10"/>
				<textElement>
					<font size="6"/>
				</textElement>
				<textFieldExpression><![CDATA[$F{desOrdem}]]></textFieldExpression>
			</textField>
			<textField>
				<reportElement uuid="90fe7b6d-318f-4f5f-8fd9-df6f39d22cb0" x="319" y="1" width="26" height="10"/>
				<textElement>
					<font size="6"/>
				</textElement>
				<textFieldExpression><![CDATA[$F{desTam}]]></textFieldExpression>
			</textField>
			<textField>
				<reportElement uuid="82c7c2d0-604b-4fb1-bf26-1aae8eb46562" x="397" y="1" width="88" height="10"/>
				<textElement>
					<font size="6"/>
				</textElement>
				<textFieldExpression><![CDATA[$F{descricaoCorEmpresa}]]></textFieldExpression>
			</textField>
			<textField>
				<reportElement uuid="a5b0c67a-46ad-46ea-93fc-093bcab1e36a" x="72" y="1" width="57" height="10"/>
				<textElement>
					<font size="6"/>
				</textElement>
				<textFieldExpression><![CDATA[$F{codigoBarras}]]></textFieldExpression>
			</textField>
		</band>
	</detail>
	<pageFooter>
		<band height="13" splitType="Stretch">
			<textField>
				<reportElement uuid="9073f03b-f566-425f-863d-70f5e229b0bd" mode="Opaque" x="28" y="0" width="478" height="13" backcolor="#FFFFFF"/>
				<textElement textAlignment="Right">
					<font size="8"/>
				</textElement>
				<textFieldExpression><![CDATA["Pagina "+$V{PAGE_NUMBER}+" de"]]></textFieldExpression>
			</textField>
			<textField evaluationTime="Report">
				<reportElement uuid="e386d5af-03db-4c27-b704-1efa5a143b51" mode="Opaque" x="513" y="0" width="40" height="13" backcolor="#FFFFFF"/>
				<textElement>
					<font size="8"/>
				</textElement>
				<textFieldExpression><![CDATA[" " + $V{PAGE_NUMBER}]]></textFieldExpression>
			</textField>
		</band>
	</pageFooter>
	<lastPageFooter>
		<band/>
	</lastPageFooter>
	<summary>
		<band height="26">
			<textField pattern="#,##0.00" isBlankWhenNull="true">
				<reportElement uuid="0e1b6ab2-5ab7-45a7-9bb6-f38359423cc1" x="453" y="13" width="100" height="12"/>
				<textElement textAlignment="Right">
					<font size="8" isBold="true" isItalic="true"/>
				</textElement>
				<textFieldExpression><![CDATA[$V{valorTotalPedido}]]></textFieldExpression>
			</textField>
			<staticText>
				<reportElement uuid="2d0bc694-a368-476e-aba9-95cf10ea1123" x="347" y="13" width="107" height="13"/>
				<textElement textAlignment="Right">
					<font size="8" isBold="true"/>
				</textElement>
				<text><![CDATA[VALOR TOTAL:]]></text>
			</staticText>
			<line>
				<reportElement uuid="d6cb2c29-0a06-4454-bcec-096ab2859d01" x="0" y="11" width="555" height="1"/>
			</line>
		</band>
	</summary>
</jasperReport>
